Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.conf
Class TransportValue

    java.lang.Object
      |
      +--com.solarmetric.conf.Value
            |
            +--com.solarmetric.conf.PluginValue
                  |
                  +--kodo.conf.TransportValue

All Implemented Interfaces:
  Cloneable

public synchronized class TransportValue
extends PluginValue

Constructor Summary
`TransportValue(String)`

Method Summary
`Object` | `instantiate(Class, Configuration, boolean)` Instantiate the plugin as an instance of the given class.
`StreamDecorator[]` | `instantiateDecorators(Configuration)`
`StreamDecorator[]` | `instantiateDecorators(Configuration, boolean)`
`Transport` | `instantiateTransport(Configuration)`
`Transport` | `instantiateTransport(Configuration, boolean)`
`void` | `setProperties(String)` The plugin properties.
`void` | `setString(String)` Set this value from the given string.

Methods inherited from class com.solarmetric.conf.PluginValue
`createInstance, getClassName, getInternalString, getProperties, getString, getValueType, instantiate, setClassName, setInternalString`

Methods inherited from class com.solarmetric.conf.Value
`addAlias, alias, clone, equals, getAliases, getDefault, getListener, getProperty, hashCode, isAliasListComprehensive, setAliases, setAliasListComprehensive, setDefault, setListener, setProperty, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransportValue

    public TransportValue(String)

Method Detail

### setProperties

    public void setProperties(String)

  Description copied from class: `PluginValue`
  The plugin properties.
  Overrides:
    `setProperties` in class `PluginValue`

### setString

    public void setString(String)

  Description copied from class: `Value`
  Set this value from the given string. If the given string is null or empty and a default is defined, the default is used. If the given string (or default) is an alias key, it will be converted to the corresponding value internally.
  Overrides:
    `setString` in class `PluginValue`

### instantiateTransport

    public Transport instantiateTransport(Configuration)

### instantiateTransport

    public Transport instantiateTransport(Configuration,
                                          boolean)

### instantiateDecorators

    public StreamDecorator[] instantiateDecorators(Configuration)

### instantiateDecorators

    public StreamDecorator[] instantiateDecorators(Configuration,
                                                   boolean)

### instantiate

    public Object instantiate(Class,
                              Configuration,
                              boolean)

  Description copied from class: `PluginValue`
  Instantiate the plugin as an instance of the given class.
  Overrides:
    `instantiate` in class `PluginValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.